﻿@model RealEstate.Models.User_Attendence_Excel_Model

@{
    ViewBag.Title = "Upload Attendence";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<hr />

@using (Html.BeginForm("Upload", "Attendence", FormMethod.Post, new { enctype = "multipart/form-data" }))
{

    <div class="row">
        <div class="col-xl-12 ">
            <div class="card bg-white text-black mb-1">
                <div class="card-body text-center">
                    <div class="row" style="margin-top:1em;">

                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.Month_Year, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.EditorFor(model => model.Month_Year, new { htmlAttributes = new { @class = "form-control monthpicker", autocomplete = "off" } })
                                    @Html.ValidationMessageFor(model => model.Month_Year, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.POSTED_CSV, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.TextBoxFor(model => model.POSTED_CSV, "", new { @type = "file", htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.POSTED_CSV, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row _user_salary">

        <div class="col-xl-12 footer_panel">
            <div class="card bg-white text-black mb-1">
                <div class="card-body text-center">
                    <div class="text-center">
                        <input type="submit" value="SUBMIT" onclick="showloader(true);" class="btn btn-primary" />
                        <span><a class="btn btn-danger" href="/Attendence/Download_Format">DOWNLOAD FORMAT</a></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

@if (Model.Lst.Count() > 0)
{
    <hr />

    <div class="card mb-4 employee-details">
        @*<div class="card-header">DataTable Example</div>*@
        <div class="card-body p-0">
            <div class="datatable table-responsive">
                <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                    <table id="example" class="table table-striped example_datatable">
                        <thead>
                            <tr>
                                <th>UserId</th>
                                <th>Month Year</th>

                                @for (int i = 1; i <= Model.Total_Working_Days; i++)
                                {
                                    <th>@i</th>
                                }

                                @*<th>Value</th>*@
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Lst.GroupBy(x => x.UserId))
                            {
                                <tr>
                                    <td style="color: blue;"><a href="/User/AddEditUser/@item.Key">@item.Key</a> </td>
                                    <td>@Model.Month_Year</td>


                                    @foreach (var val in item.ToList().OrderBy(x => x.Date))
                                    {
                                        <td>@val.Value</td>
                                    }

                                    @*@for (int i = 1; i <= Model.Total_Working_Days; i++)
                                        {
                                        }*@

                                    @*<td>@item.Date</td>*@
                                </tr>
                            }
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
        <div class="card-footer text-right">
            <a class="btn btn-primary btn-edit-user" href="/Attendence/Save_Csv_Attendence" onclick="showloader(true);">Save</a>
        </div>
    </div>
}


@section Scripts
{
    <script type="text/javascript">

        $('.monthpicker').MonthPicker({
            MinMonth: -12, Button: false, MonthFormat: 'M yy', OnAfterChooseMonth: function () {
                //showloader(true)
                //window.location.href = "/Salary/Index?Month_Year=" + $(this).val();
            }
        });


        $(document).ready(function () {
            $('.example_datatable').DataTable({
                "pagingType": "full_numbers"
            });
        });
    </script>
}



